
<div *ngIf="saqResponse">
    <h2><span jhiTranslate="pcidssApp.saqResponse.detail.title">Saq Response</span> {{saqResponse.id}}</h2>
    <hr>
    <jhi-alert-error></jhi-alert-error>
    <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="pcidssApp.saqResponse.responseInput">Response Input</span></dt>
        <dd>
            <span>{{saqResponse.responseInput}}</span>
        </dd>
        <dt><span jhiTranslate="pcidssApp.saqResponse.appendixType">Appendix Type</span></dt>
        <dd>
            <span>{{saqResponse.appendixType}}</span>
        </dd>
        <dt><span jhiTranslate="pcidssApp.saqResponse.appendixData">Appendix Data</span></dt>
        <dd>
            <span>{{saqResponse.appendixData}}</span>
        </dd>
        <dt><span jhiTranslate="pcidssApp.saqResponse.saqLevel2Id">Saq Level 2 Id</span></dt>
        <dd>
            <div *ngIf="saqResponse.saqLevel2Id">
                <a [routerLink]="['/saq-level-2', saqResponse.saqLevel2Id?.id]">{{saqResponse.saqLevel2Id?.id}}</a>
            </div>
        </dd>
        <dt><span jhiTranslate="pcidssApp.saqResponse.requirementWorkStatusId">Requirement Work Status Id</span></dt>
        <dd>
            <div *ngIf="saqResponse.requirementWorkStatusId">
                <a [routerLink]="['/requirement-work-status', saqResponse.requirementWorkStatusId?.id]">{{saqResponse.requirementWorkStatusId?.id}}</a>
            </div>
        </dd>
    </dl>

    <button type="submit"
            (click)="previousState()"
            class="btn btn-info">
        <span class="fa fa-arrow-left"></span>&nbsp;<span jhiTranslate="entity.action.back"> Back</span>
    </button>

    <button type="button"
            [routerLink]="['/', { outlets: { popup: 'saq-response/'+ saqResponse.id + '/edit'} }]"
            replaceUrl="true"
            class="btn btn-primary">
        <span class="fa fa-pencil"></span>&nbsp;<span jhiTranslate="entity.action.edit"> Edit</span>
    </button>
</div>
